From phil@ipom.com Sat May 21 00:53:46 2005
Date: Sat, 21 May 2005 00:45:55 -0700
From: Phil Dibowitz <phil@ipom.com>
Subject: USB Storage: Add unusual_devs for Trumpion Voice Recorder
To: Greg KH <greg@kroah.com>, filibard@libero.it
Message-id: <428EE733.4090200@ipom.com>

The original entry of this patch was submitted by Filippo Bardelli
<filibard@libero.it>, with cleanups and patch-ification by me.

This corrects the subclass that the device reports.

Signed-off-by: Phil Dibowitz <phil@ipom.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/usb/storage/unusual_devs.h |    9 +++++++++
 1 files changed, 9 insertions(+)

--- gregkh-2.6.orig/drivers/usb/storage/unusual_devs.h	2005-05-09 09:07:10.000000000 -0700
+++ gregkh-2.6/drivers/usb/storage/unusual_devs.h	2005-05-23 16:09:34.000000000 -0700
@@ -862,6 +862,15 @@
 		US_SC_DEVICE, US_PR_BULK, NULL,
 		US_FL_NEED_OVERRIDE ),
 
+/* Reported by Filippo Bardelli <filibard@libero.it>
+ * The device reports a subclass of RBC, which is wrong.
+ */
+UNUSUAL_DEV(  0x090a, 0x1050, 0x0100, 0x0100,
+		"Trumpion Microelectronics, Inc.",
+		"33520 USB Digital Voice Recorder",
+		US_SC_UFI, US_PR_DEVICE, NULL,
+		0),
+
 /* Trumpion Microelectronics MP3 player (felipe_alfaro@linuxmail.org) */
 UNUSUAL_DEV( 0x090a, 0x1200, 0x0000, 0x9999,
 		"Trumpion",
